//Plugin: BestAzon
//Compatible with Version: 1.0.0
//DO NOT CHANGE ANYTHING IN THIS FILE OR THE PLUGIN MAY BREAK OR BEHAVE UNPREDICTABLY

//Set redirect service URL
var Redirect_Service_Base_URL = "http://r.BestAzonPlugin.Com";
//list of domains for which the redirect should work
var Valid_Domains = [
    "amazon",
    "amzn"
];
var optionsParameter = "";

//load all plugin options in URL parameter format
for (var option_key in php_vars) {
    optionsParameter += "&" + option_key + "=" + encodeURIComponent(php_vars[option_key]);
}

//Once the document loads, find all links and replace the URL if its a listed domain
jQuery(document).ready(function() {
    var x = document.getElementsByTagName('a');
    var i;
    for (i = 0; i < x.length; i++) {
        // find the domain of the URL
        URL_Domain = extractDomain(x[i].href);
        if (Valid_URL(URL_Domain)) {
            x[i].href = Redirect_Service_Base_URL + "?refURL=" + encodeURIComponent(window.location.href) + "&destURL=" + encodeURIComponent(x[i].href) + optionsParameter;

//Add the css classes to the link
            x[i].className += php_vars[''+'Conf_Custom_Class'];
//add the target attribute to the link
            if (php_vars['Conf_New_Window'] == 1) {
                x[i].target = "_blank";
            }
            else if (php_vars['Conf_New_Window'] == 2) {
                x[i].target = "_self";
            }

//Add the nofollow attribute, if needed
            if (php_vars['Conf_Link_Follow'] == 1) {
                x[i].rel= "nofollow";
            }
        }
    }

});

//Function to find the base domain from the URL

function extractDomain(url) {
    var domain;
    //find & remove protocol (http, ftp, etc.) and get domain
    if (url.indexOf("://") > -1) {
        domain = url.split('/')[2];
    } else {
        domain = url.split('/')[0];
    }
    //find & remove port number
    domain = domain.split(':')[0];
    //find & remove protocol www
    if (url.indexOf("www.") > -1) {
        domain = domain.split('www.')[1];
    }
    var re = new RegExp('.*(co.uk|co.jp|com|ca|de|fr|co.au|in|cn|it|mx|es|com.br)');
    var domainmatch = domain.match(re);
    if (domainmatch !== null) {
        domain = domain.replace("." + domainmatch[1], '');
        domain = domain.split('.').pop().toLowerCase();
        return domain;
    } else {
        return "DomainNotFound";
    }
}
//Check if domain name matches the redirect domains.
function Valid_URL(URL_Domain) {
    //if the domain is a listed domain, return true else false
    if (jQuery.inArray(URL_Domain, Valid_Domains) != -1) {
        return 1;
    } else {
        return 0;
    }
}